deploy new statement parser function and Lua function
Closed, ResolvedPublic

Description

We need to deploy the new statement parser function and Lua functions.

Test and examples to show the behaviour in cotrast to the existing functions: https://de.wikipedia.beta.wmflabs.org/wiki/Statements

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2016, 2:57 PM
aude added a comment.EditedDec 10 2016, 4:07 PM

This is scheduled for Monday (December 12), at 13:00 UTC

Dereckson assigned this task to aude.Dec 12 2016, 12:48 PM

Change 326421 had a related patch set uploaded (by Aude):
Enable statements parser function and lua on WikibaseClient wikis

https://gerrit.wikimedia.org/r/326421

Change 326421 merged by jenkins-bot:
Enable statements parser function and lua on WikibaseClient wikis

https://gerrit.wikimedia.org/r/326421

Mentioned in SAL (#wikimedia-operations) [2016-12-12T13:27:31Z] <aude@tin> Synchronized wmf-config/Wikibase.php: Enable Wikibase statements parser function and lua T152780 (duration: 00m 52s)

aude closed this task as Resolved.Dec 12 2016, 1:40 PM
aude removed a project: Patch-For-Review.
aude moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
Johan added a subscriber: Johan.Dec 15 2016, 3:23 PM

This has been marked for inclusion in Tech News. How would you phrase a short, very simple item describing the changes and how they affect users?

"Wikis connected to Wikidata can now use parser function {{#statements: }} to get formatted data (in addition to {{#property: }} which returns raw data)."

I'd add: "The difference between the existing and new parser function can be seen at https://de.wikipedia.beta.wmflabs.org/wiki/Statements. Similar new functions are also provided in Lua."

Billinghurst added a subscriber: Billinghurst.EditedDec 21 2016, 2:09 AM

To complete the loop for those who follow the link to the phabricator ticket, can someone please point to where this is documented at Wikidata.

[I am presuming that this is only going to work for the actual statements, that there is no ability to query label, description, interwikis, or badges.]

Thanks.

Also questions like if you pull an image, how would one apply formatting, like size the image?

{{#statements:P18|from=Q692}}